package com.prolog.cs.base.gsp.service;


import com.prolog.cs.base.gsp.QueryDTO;
import com.prolog.cs.base.gsp.model.DxiGspQualityReviewD;
import com.prolog.cs.base.gsp.model.DxiGspQualityReviewH;
import com.prolog.cs.base.gsp.vo.GspQualityCheckMoveItemVo;
import com.prolog.cs.base.gsp.vo.GspQualityCheckMoveVo;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2022-05-26
 */

public interface GspQualityReviewService {


	Page<DxiGspQualityReviewH> listPage(String warehouseId, String cargoOwnerId, String requestBilltype, String billid, String status, Integer pageSize, Integer pageNum);

	List<DxiGspQualityReviewD> findDetailByBillId(String billId);

	void batchAudit(List<DxiGspQualityReviewD> list);

    List<GspQualityCheckMoveVo> findQualityReview4MovePick(String warehouseId,String cargoOwnerId,String requestBilltype, String billno);

	List<GspQualityCheckMoveItemVo> findQualityReview4MoveItemPick(String lineId);

    void confirmQualityReviewMove(String[] arrList);

}
